Bug 1099498 - Installer shows failure message though everything went well with minor exception
Summary: Installer shows failure message though everything went well with minor exception
Keywords:
Status: CLOSED DUPLICATE of bug 1072708
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Eric Helms
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-20 13:18 UTC by Og Maciel
Modified: 2016-04-22 15:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-05 03:23:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
katello-installer.log (993.46 KB, text/plain)
2014-05-20 13:18 UTC, Og Maciel
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 5943 0 None None None 2016-04-22 15:14:49 UTC

Description Og Maciel 2014-05-20 13:18:49 UTC
Created attachment 897572 [details]
katello-installer.log

Description of problem:

For a while now the installer has always shows the following two errors:

/Stage[main]/Candlepin::Database/Postgresql::Server::Db[candlepin]/Postgresql::Server::Role[candlepin]/Postgresql_psql[CREATE ROLE "candlepin" ENCRYPTED PASSWORD 'md5b27d86c15ae303d48c52be1948e49e98' LOGIN NOCREATEROLE NOCREATEDB NOSUPERUSER  CONNECTION LIMIT -1]: Failed to call refresh: Error executing SQL; psql returned 256: 'ERROR:  role "candlepin" already exists
/Stage[main]/Candlepin::Database/Postgresql::Server::Db[candlepin]/Postgresql::Server::Role[candlepin]/Postgresql_psql[CREATE ROLE "candlepin" ENCRYPTED PASSWORD 'md5b27d86c15ae303d48c52be1948e49e98' LOGIN NOCREATEROLE NOCREATEDB NOSUPERUSER  CONNECTION LIMIT -1]: Error executing SQL; psql returned 256: 'ERROR:  role "candlepin" already exists


However, this had not prevented the installer from ending successfully and has been mostly ignored. Yesterday, there were some new changes done to the installer and now these errors cause it to output the following message:

Something went wrong![0m Check the log for ERROR-level output
  The full log is at [1m[36m/var/log/katello-installer/katello-installer.log

The server is up and running but this message is stating the opposite.

Version-Release number of selected component (if applicable):

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.7-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.7-1.el6_5.noarch
* candlepin-tomcat6-0.9.7-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.8-1.el6sat.noarch
* foreman-compute-1.6.0.8-1.el6sat.noarch
* foreman-gce-1.6.0.8-1.el6sat.noarch
* foreman-libvirt-1.6.0.8-1.el6sat.noarch
* foreman-ovirt-1.6.0.8-1.el6sat.noarch
* foreman-postgresql-1.6.0.8-1.el6sat.noarch
* foreman-proxy-1.6.0.5-1.el6sat.noarch
* foreman-selinux-1.6.0-2.el6sat.noarch
* foreman-vmware-1.6.0.8-1.el6sat.noarch
* katello-1.5.0-24.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.5-1.el6sat.noarch
* katello-installer-0.0.40-1.el6sat.noarch
* openldap-2.4.23-32.el6_4.1.x86_64
* pulp-katello-plugins-0.3-1.el6sat.noarch
* pulp-nodes-common-2.4.0-0.16.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.16.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.16.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.16.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.16.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.16.beta.el6sat.noarch
* pulp-server-2.4.0-0.16.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* rubygem-hammer_cli-0.1.0-13.el6sat.noarch
* rubygem-hammer_cli_foreman-0.1.0-13.el6sat.noarch
* rubygem-hammer_cli_foreman_tasks-0.0.2-6.el6sat.noarch
* rubygem-hammer_cli_katello-0.0.3-24.el6sat.noarch

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Brad Buckingham 2014-05-27 15:18:05 UTC
Created redmine issue http://projects.theforeman.org/issues/5943 from this bug

Comment 3 Eric Helms 2014-06-05 03:23:53 UTC

*** This bug has been marked as a duplicate of bug 1072708 ***


Note You need to log in before you can comment on or make changes to this bug.